export const rateType = computed(() => {
  return (rate: number) => {
    if (rate >= 10000) {
      return 'success'
    } else if (rate >= 8000) {
      return 'primary'
    } else if (rate >= 6000) {
      return 'warning'
    } else {
      return 'error'
    }
  }
})

export const EncourageLanguage = computed(() => {
  return (rate: number) => {
    if (rate >= 10000) {
      return '超凡实力，名不虚传！'
    } else if (rate >= 9000) {
      return '你离完美只有一步之遥！'
    } else if (rate >= 8000) {
      return '实力不凡，继续冲刺！'
    } else if (rate >= 7000) {
      return '值得骄傲，向完美进发！'
    } else if (rate >= 6000) {
      return '基础不错，继续提升！'
    } else if (rate >= 5000) {
      return '有进步空间，继续加油！'
    } else if (rate >= 4000) {
      return '不要气馁，继续努力！'
    } else if (rate >= 3000) {
      return '坚持不懈，成功在望！'
    } else if (rate >= 2000) {
      return '勇往直前，不怕失败！'
    } else if (rate >= 1000) {
      return '没关系，失败是成功的爸爸！'
    } else {
      return '跌倒了，爬起来再战！'
    }
  }
})
